libraw1394: version 2.0.4
Prev |  | Next

# raw1394_get_config_rom

## Name

raw1394_get_config_rom -- reads the current version of the configuration ROM of a host

## Synopsis

``int raw1394_get_config_rom` (raw1394handle_t handle, quadlet_t * buffer, size_t buffersize, size_t * rom_size, unsigned char * rom_version);`

## Arguments

`handle`

  libraw1394 handle

`buffer`

  the memory address at which to store the copy of the ROM

`buffersize`

  is the size of the buffer, `rom_size`

`rom_size`

  upon successful return, contains the size of the ROM

`rom_version`

  upon successful return, contains the version of the rom

## Description

returns the size of the current rom image. `rom_version` is the version number of the fetched rom.

## Return

-1 (failure) if the buffer was too small or 0 for success

Prev | Home | Next
raw1394_update_config_rom | Up | raw1394_bandwidth_modify